<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/trends_publish_question"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dynamic_white"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingBottom="50dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/dynamic_white"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <EditText
                android:id="@+id/publish_trend_title_editext"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:background="@color/dynamic_white"
                android:gravity="center_vertical"
                android:hint="请输入困扰您的问题"
                android:maxLength="35"
                android:minHeight="50dp"
                android:paddingLeft="15dp"
                android:paddingTop="13dp"
                android:paddingRight="15dp"
                android:textColor="@color/dynamic_text_trend_title_black"
                android:textColorHint="#bfbfbf"
                android:textSize="24sp"
                tools:text="标题：说说你的标题：说说你的标题：说说你的困惑标题：说说你的困标题：说说你的困惑标题：说说你的困惑困惑标题：说说你的困惑" />

            <View
                android:id="@+id/lineTitle"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_below="@+id/publish_trend_title_editext"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="6dp"
                android:background="#eae9e9" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/lineTitle"
                android:orientation="vertical">

                <EditText
                    android:id="@+id/publish_trend_content_editext"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/dynamic_white"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:gravity="left|top"
                    android:hint="这一刻的想法，晒给懂你的人...
"
                    android:includeFontPadding="false"
                    android:minLines="10"
                    android:padding="15dp"
                    android:paddingLeft="15dp"
                    android:textColor="@color/dynamic_text_trend_title_black"
                    android:textColorHint="#bfbfbf"
                    android:textSize="17sp" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/publish_trend_img_rcv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/publish_trend_content_editext"
                    android:layout_marginTop="16dp"
                    android:paddingLeft="@dimen/platform_dp_12"
                    android:paddingRight="@dimen/platform_dp_12"
                    android:visibility="gone" />


            </RelativeLayout>
        </RelativeLayout>
    </androidx.core.widget.NestedScrollView>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingLeft="@dimen/platform_dp_15"
        android:paddingTop="@dimen/platform_dp_5"
        android:paddingRight="@dimen/platform_dp_15"
        android:paddingBottom="@dimen/platform_dp_5"
        android:id="@+id/rl_topic"
        app:layout_constraintBottom_toTopOf="@id/ll_bottom_img_emoji">

        <TextView
            android:id="@+id/publish_trend_bottom_topic_tv"
            android:layout_width="wrap_content"
            android:layout_height="24dp"
            android:background="@drawable/dynamic_bg_topic"
            android:gravity="center_vertical"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:text="# 选择话题"
            android:textColor="#999999"
            android:textSize="13sp" />

        <TextView
            android:id="@+id/publish_trend_content_num_tv"
            android:layout_width="wrap_content"
            android:layout_height="24dp"
            android:layout_alignParentRight="true"
            android:layout_marginRight="12dp"
            android:gravity="center_vertical"
            android:includeFontPadding="false"
            android:text="0/1000"
            android:textColor="#bbbbbb"
            android:textSize="15sp" />

        <androidx.cardview.widget.CardView
            android:id="@+id/publish_trend_ad_relcardview"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/publish_trend_content_num_tv"
            android:visibility="gone"
            app:cardCornerRadius="6dp">

            <RelativeLayout
                android:id="@+id/publish_trend_ad_rel"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:background="@color/platform_color_F7F7F7"
                android:visibility="gone">

                <ImageView
                    android:id="@+id/publish_trend_ad_iv"
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:layout_centerVertical="true"
                    android:scaleType="fitXY"
                    android:src="@drawable/dynamic_default_img" />

                <ImageView
                    android:id="@+id/iv_fm"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="18dp"
                    android:src="@drawable/dynamic_img_trend_fm_play"
                    android:visibility="gone"
                    tools:visibility="visible" />

                <TextView
                    android:id="@+id/publish_trend_ad_tv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:layout_marginRight="15dp"
                    android:layout_toRightOf="@+id/publish_trend_ad_iv"
                    android:maxLines="2"
                    android:text="测测你的童年阴影"
                    android:textColor="#333"
                    android:textSize="15sp" />
            </RelativeLayout>
        </androidx.cardview.widget.CardView>


    </RelativeLayout>

    <include
        android:id="@+id/ll_bottom_img_emoji"
        layout="@layout/dynamic_layout_publish_trend_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>
